Subject: bug#14128: web/http.scm: bad-header date check (UTC?)

From: Daniel Hartwig <[email-masked]>
Date: Wed, 3 Apr 2013 18:47:22 +0800

On 3 April 2013 18:33, Thien-Thi Nguyen <[email-masked]> wrote:
> () Daniel Hartwig <[email-masked]>
> () Wed, 3 Apr 2013 17:47:01 +0800
>
>    Apparently we are supposed to do this a bit more and accomodate yet
>    another non-compliant service?
>
> Maybe that stuff should be exposed to the user.  Do a best effort
> conversion and if not successful, return a pair ‘(raw-string . STRING)’
> or whatever -- it's enough that it has a different type and that the
> type is documented. This way, you avoid carrying forward lots of cruft.
> Do it now before it's too late!

Interesting.  Though this does gradually erode the type barrier
erected by the web module.  I am reluctant to cede this territory.
Instead of this cruft accumulating in a few places (the web modules),
it becomes gratutiously spread around and duplicated in other
programs.

It was previously suggested to implement a permissive flag that, while
not passing unparsed data to the users, will at least not raise errors
and stop.

>
>
>    Erk.  What is the point of defining protocols and standards then?
>
> One purpose is to challenge programmers to learn how and when to say "no".
>

:-)